{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.tui;

  inherit (lib.marleyos) enabled;
in {
  options.marleyos.programs.tui.enable = lib.mkEnableOption "tui";

  config = lib.mkIf cfg.enable {
    marleyos.programs = {
      amfora = enabled;
      btop = enabled;
      cava = enabled;
      jqp = enabled;
      lazydocker = enabled;
      lazygit = enabled;
      ncmpcpp = enabled;
      neovim = enabled;
      superfile = enabled;
    };
  };
}
